Authorization
string
required
Example:
Authorization | Bearer Paste-Your-API-Key-HereRequest Body
string
required
The unique identifier of the product associated with the credit.
string
required
The unique identifier of the membership tier to assign to the customer.
integer
required
The membership period in months. Must be one of
1, 3, 6, or 12.integer
The trial credit amount to grant upon registration.
array of object
required
Object containing customer details.
customerInfo Structure (Array Of Object)
string
required
Full name of the customer.
string
required
Email address of the customer.
string
required
Mobile phone number of the customer.
Response
Successful ResponseMain Structure (Root)
integer
Status code form API.
string
Status message that describes the status code.
array of object
Contains details of the newly registered or updated membership customer.
membershipCustomer Structure (Array Of Object)
string<uuid>
Unique identifier of the membership customer record.
string
Unique identifier of the user associated with this membership.
string
Unique identifier of the payment link associated with this membership.
integer
Timestamp (in milliseconds) indicating when the membership was created.
integer
Timestamp (in milliseconds) of the next scheduled payment.
boolean | null
ndicates whether the membership has a lifetime period;
null if not set.array of objext
Details of the payment link.
paymentLink Structure (Array Of Object)
string
Unique identifier of the payment link.
string
Name of the payment link or product.
string
Description of the payment link or product in HTML format.
